Subject: Offline Message from Soumaya: Hello, I made an order on the 25th June that I
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 12 Jul 2020 12:33:10 -0000

From: Soumaya <[email-masked]>
Phone: 
Location: , Saudi Arabia
URL: https://www.mumzworld.com/en/contact-us/
Department: 

Hello,
I made an order on the 25th June that I just received now. After a long wait imagine my surprise when it finally came with missing item. Indeed the perfume Spiderman Corinne de farme that my son was waiting for was missing from
The package. How is that possible? Are you shipping it from an other parcel?
The order number is 100163205. 

----
Zopim
https://www.zopim.com